### Struct

# Camel UIDCache

#### Description

    struct CamelUIDCache {
      gchar* filename;
      GHashTable* uids;
      guint level;
      gsize expired;
      gsize size;
      gint fd;
    }

No description available.

###### Structure members

`filename:` `gchar*`

  No description available.

`uids:` `GHashTable`

  No description available.

`level:` `guint`

  No description available.

`expired:` `gsize`

  No description available.

`size:` `gsize`

  No description available.

`fd:` `gint`

  No description available.

#### Functions

###### camel_uid_cache_new

Creates a new UID cache, initialized from `filename`. If `filename` doesn’t already exist, the UID cache will be empty. Otherwise, if it does exist but can’t be read, the function will return `NULL`.

#### Instance methods

###### camel_uid_cache_destroy

Destroys `cache` and frees its data.

###### camel_uid_cache_dup_new_uids

Returns an array of UIDs from `uids` that are not in `cache`, and removes UIDs from `cache` that aren’t in `uids`.

###### camel_uid_cache_save

Attempts to save `cache` back to disk.

###### camel_uid_cache_save_uid

Marks a uid for saving.